Distribution:   CCux
Packager:	Karsten Brockmann <brockmka@rz.fh-augsburg.de>

Name:		dia
Version:	0.96.1
Release:	1	
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.gnome.org/projects/dia/
Group:		Graphics
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.94-desktop.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	dia is a GTK2-based diagram drawing program, similar to Visio.
BuildRequires:  gtk2+-devel
BuildRequires:  atk-devel
BuildRequires:	libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  freetype-devel
BuildRequires:  zlib-devel
BuildRequires:  libpng-devel 
BuildRequires:  libart_lgpl-devel
BuildRequires:  GConf-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  sed

%description
Dia is designed to be much like the commercial Windows
program 'Visio'. It can be used to draw many different
kinds of diagrams. It currently has special objects to
help draw entity relationship diagrams, UML diagrams,
flowcharts, network diagrams, and simple circuits.
It is also possible to add support for new shapes by
writing simple XML files, using a subset of SVG to draw
the shape. It can load and save diagrams to a custom
XML format (gzipped by default, to save space),
can export diagrams to EPS or SVG formats and can
print diagrams (including ones that span multiple pages).
For more details see: http://www.gnome.org/projects/dia/

%package	python
Summary:	python libraries and scripts for %{name}.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description	python
python libraries and scripts for %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch -p1 -b -desktop

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--disable-dependency-tracking \
--with-python \
--disable-debug \
--enable-gnome
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_ROOT%_prefix/var
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_datadir/dia/shapes
%_datadir/dia/sheets
%_datadir/dia/xslt
%_datadir/dia/*.png
%_datadir/dia/ui/display-ui.xml
%_datadir/dia/ui/popup-ui.xml
%_datadir/dia/ui/toolbox-ui.xml
%_datadir/gnome
%_locale
%_mandir
%_datadir/mime-info
%_pixmaps
%_applications
%_libdir/dia/
%exclude %_libdir/dia/libpython_plugin.la
%exclude %_libdir/dia/libpython_plugin.so


%files python
%defattr(-,root,root)
%_libdir/dia/libpython_plugin.la
%_libdir/dia/libpython_plugin.so
%_datadir/dia/python/codegen.py
%_datadir/dia/python/diasvg.py
%_datadir/dia/python/diasvg_import.py
%_datadir/dia/python/dot.py
%_datadir/dia/python/group_props.py
%_datadir/dia/python/gtkcons.py
%_datadir/dia/python/otypes.py
%_datadir/dia/python/pydiadoc.py
%_datadir/dia/python/scascale.py
%_datadir/dia/python/select_by.py
%_datadir/dia/python-startup.py
%_datadir/dia/python/aobjects.py
%_datadir/dia/python/doxrev.py

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu May 17 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.96.1-1
- Version update
* Tue Apr 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.95-2
- added BuildRequires
- put onbject libraries back into main package
* Sat Mar 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.95-1
- Version Update, prerelease 4
* Sun Jul 03 2005 Christian Wasem <wasem@ccux-linux.de> 0.94-4
- added desktop.patch, added Oboletes tag
* Sun Jul 03 2005 Christian Wasem <wasem@ccux-linux.de> 0.94-4
- rebuild for python support, cleaning up spec-file,
- delete scrollkeeper stuff
* Mon May 30 2005 Christian Metzen <metzench@ccux-linux.de> 0.94-3
- Fixed Group, Changelog
* Mon May 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.94-2
- Fixed Dependencies
* Mon May 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.94-1
- Initial Release
